<?php include 'includes/session.php'; ?>
<?php include 'includes/header.php'; ?>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper">

  <?php include 'includes/navbar.php'; ?>
  <?php include 'includes/menubar.php'; ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
       Labour Production
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li>Labour Production</li>
        <li class="active">Labour Production List</li>
      </ol>
    </section>
    <!-- Main content -->
    <section class="content">
      <?php
        if(isset($_SESSION['error'])){
          echo "
            <div class='alert alert-danger alert-dismissible'>
              <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
              <h4><i class='icon fa fa-warning'></i> Error!</h4>
              ".$_SESSION['error']."
            </div>
          ";
          unset($_SESSION['error']);
        }
        if(isset($_SESSION['success'])){
          echo "
            <div class='alert alert-success alert-dismissible'>
              <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
              <h4><i class='icon fa fa-check'></i> Success!</h4>
              ".$_SESSION['success']."
            </div>
          ";
          unset($_SESSION['success']);
        }
      ?>
      <div class="row">
        <div class="col-xs-12">
          <div class="box box-solid">
            <div class="box-header header-custom">
              <h5 class="box-title"><i class="fa fa-list"></i> List</h5>
                 <div class="box-tools pull-right">
               <a href="#addnew" data-toggle="modal" class="btn btn-inline btn-custom btn-md"><i class="fa fa-plus"></i> Add New</a>
                 </div>
            </div>
            <div class="box-body">
<div class="table-responsive">
              <table id="example1" class="table table-bordered table-striped dataTable no-footer">
                <thead>
                   <th>#</th>
                   <th>ID</th>
                  <th>From Date</th>
               
                  <th>To Date</th>
                  
                  <th>Total Amount</th>
               
                  <th>Total Paid Amount</th>
                  <th>Balance Amount</th>
                  
                               <th>Status</th>
                  <th>Tools</th>
                </thead>
                <tbody>
                  <?php
$i=1;
                    $sql = "SELECT * FROM labour_productions order by labour_productions.id DESC";
                    $query = $conn->query($sql);

                    while($row = $query->fetch_assoc()){
                      ?>
                        <tr>
                           <td><?php echo $i; ?></td>
                          <td><?php echo $row['lp_id']; ?></td>
                           <td><?php echo $row['lp_from_date']; ?></td>
                        
                          <td><?php echo $row['lp_to_date']; ?></td>
                          <td><?php echo $row['lp_total_amount']; ?></td>
                          <td><?php echo $row['lp_total_paid_amount']; ?></td>
                          <td><?php echo $row['lp_balance_amount']; ?></td>
                          
                          
                         
                           <td><?php if($row['status']=='1') $color="label-success"; else $color="label-warning";  ?>
                          <span class="label <?php echo $color; ?>" style="cursor:pointer"><?php if( $row['status']==1) echo 'Ongoing'; else echo 'Completed'; ?></span>
                          
                          </td>
                         
                          <td>
                            <a href="labour_productions_print.php?id=<?php echo $row['id']; ?>" class="btn btn-info  btn-xs mrg" title="View" data-placement="top" data-toggle="tooltip" data-original-title="View"><i class="fa fa-check-square-o"></i></a>
                            <button class="btn btn-success btn-xs edit " data-id="<?php echo $row['id']; ?>" title="Edit" data-placement="top" data-toggle="tooltip" data-original-title="Edit"><i class="fa fa-edit"></i> </button>
                            <button class="btn btn-danger btn-xs delete " data-id="<?php echo $row['id']; ?>" title="Delete" data-placement="top" data-toggle="tooltip" data-original-title="Delete"><i class="fa fa-trash"></i> </button>
                          </td>
                        </tr>
                      <?php
                        $i++;
                    }
                  ?>
                </tbody>
              </table>
            </div>
    </div>
          </div>
        </div>
      </div>
    </section>   
  </div>
    
  <?php include 'includes/footer.php'; ?>
  <?php include 'includes/labour_productions_modal.php'; ?>
</div>
<?php include 'includes/scripts.php'; ?>
<script>

$('#example1 tbody').on('click', '.edit', function (){
     $('#edit').modal('show');
    var id = $(this).data('id');
    getRow(id);
});

$('#example1 tbody').on('click', '.delete', function (){
     $('#delete').modal('show');
    var id = $(this).data('id');
    getRow(id);
});

$('#example1 tbody').on('click', '.photo', function (){
      
    var id = $(this).data('id');
    getRow(id);
});

/*

$(function(){
  $('.edit').click(function(e){
    e.preventDefault();
    $('#edit').modal('show');
    var id = $(this).data('id');
    getRow(id);
  });

  $('.delete').click(function(e){
    e.preventDefault();
    $('#delete').modal('show');
    var id = $(this).data('id');
    getRow(id);
  });

  $('.photo').click(function(e){
    e.preventDefault();
    var id = $(this).data('id');
    getRow(id);
  });

});
*/
function getRow(id){
  $.ajax({
    type: 'POST',
    url: 'labour_productions_row.php',
    data: {id:id},
    dataType: 'json',
    success: function(response){
      $('.lp_id').val(response.id);
      $('.lpid').html(response.id);
          
      $('#edit_lp_from_date').val(response.lp_from_date);
      $('#edit_lp_to_date').val(response.lp_to_date);
               $('#edit_status option').each(function () {
if ($(this).val() == response.status) {
    this.selected = true;
    return;
} });
    
       $('#edit_lp_total_amount').val(response.lp_total_amount);
      $('#edit_lp_total_paid_amount').val(response.lp_total_paid_amount);
      $('#edit_lp_balance_amount').val(response.lp_balance_amount);
      
      
          var trId = 1;
      
       var tr='';
      
      var n = $("#edit #labour_productions_info_table").find("tr").length;
     
   
               // for (var i = 1; i < n; i++) {
                //  $('#tr_' + i).remove();
                   
              //  }
      
       $("#edit #labour_productions_info_table").find("tr").remove();
      
        $.ajax({
    type: 'POST',
    url: 'labour_productions_details_row.php',
    data: {id:id},
    dataType: 'json',
    success: function(response){
      
      
      
      
       
      
   
      
      $.each(response , function(index, item) { 

                  
 
               
    
    
      
      
       tr += "<tr id='tr_" +  item.id + "'>";
        tr += "<td id='" +  item.id + 1 + "'>";
        tr +=  trId;
        tr += "</td>";

        tr += "<td id='" +  item.id + 2 + "'><input name='lp_date[]' type='hidden' value='"+ item.lp_date +"'>";
        tr +=  item.lp_date;
        tr += "</td>";

        tr += "<td id='" +  item.id + 3 + "' class='lp_slab1'><input name='lp_slab1[]' type='hidden' value='"+ item.lp_slab1 +"'>";
        tr += item.lp_slab1;
        tr += "</td>";

        tr += "<td  id='" +  item.id + 4 + "'  class='lp_slab2'><input name='lp_slab2[]' type='hidden' value='"+ item.lp_slab2 +"'>";
        tr += item.lp_slab2;
        tr += "</td>";

        tr += "<td id='" +  item.id + 5 + "' class='lp_pillar1'><input name='lp_pillar1[]' type='hidden' value='"+ item.lp_pillar1 +"'>";
        tr += item.lp_pillar1;
        tr += "</td>";
        
          tr += "<td id='" +  item.id + 6 + "' class='lp_pillar2'><input name='lp_pillar2[]' type='hidden' value='"+ item.lp_pillar2 +"'>";
        tr += item.lp_pillar2;
        tr += "</td>";
        
                  tr += "<td id='" +  item.id + 7 + "' class='lp_pillar3'><input name='lp_pillar3[]' type='hidden' value='"+ item.lp_pillar3 +"'>";
        tr += item.lp_pillar3;
        tr += "</td>";
        
                     tr += "<td id='" +  item.id + 8 + "' class='lp_pillar4'><input name='lp_pillar4[]' type='hidden' value='"+ item.lp_pillar4 +"'>";
        tr += item.lp_pillar4;
        tr += "</td>";
        
        
             
        
                  tr += "<td class='lp_paid_amount' id='" +  item.id + 10 + "'><input name='lp_paid_amount[]' type='hidden' value='"+ item.lp_paid_amount +"'>";
        tr += item.lp_paid_amount;
        tr += "</td>";

      
        tr += "<td id='" +  item.id + 11 + "'>";

        tr += "<div id='" +  item.id + "' class='delete_row_lp edit'><button type='button' class='btn btn-xs btn-danger' data-placement='bottom' data-original-title='Delete This Item' data-toggle='tooltip'>&nbsp;&nbsp;<i class='glyphicon glyphicon-trash'></i>&nbsp;&nbsp;</button></div>";
        tr += "</td>";
        tr += "</tr>";
         
      
       trId++;
        });
      
      
      
       
      
      
      

        $("#edit #labour_productions_info_table").append(tr);
      
       
            // add calculation
            var lp_slab1 = 0;
            $(".lp_slab1").each(function(){
                var val = $(this).text()|| 0;
                lp_slab1 += parseFloat(val);
            });
  var lp_slab2 = 0;
            $(".lp_slab2").each(function(){
                var val = $(this).text()|| 0;
                lp_slab2 += parseFloat(val);
            });

  var lp_pillar1 = 0;
            $(".lp_pillar1").each(function(){
                var val = $(this).text()|| 0;
                lp_pillar1 += parseFloat(val);
            });

  var lp_pillar2 = 0;
            $(".lp_pillar2").each(function(){
                var val = $(this).text()|| 0;
                lp_pillar2 += parseFloat(val);
            });
  var lp_pillar3 = 0;
            $(".lp_pillar3").each(function(){
                var val = $(this).text()|| 0;
                lp_pillar3 += parseFloat(val);
            });
  var lp_pillar4 = 0;
            $(".lp_pillar4").each(function(){
                var val = $(this).text()|| 0;
                lp_pillar4 += parseFloat(val);
            });
  var lp_paid_amount = 0;
            $(".lp_paid_amount").each(function(){
                var val = $(this).text()|| 0;
                lp_paid_amount += parseFloat(val);
            });


var lp_slab1_rate = $("#edit_lp_slab1_rate").text()|| 0;
var lp_slab2_rate = $("#edit_lp_slab2_rate").text()|| 0;
var lp_pillar1_rate = $("#edit_lp_pillar1_rate").text()|| 0;
var lp_pillar2_rate = $("#edit_lp_pillar2_rate").text()|| 0;
var lp_pillar3_rate = $("#edit_lp_pillar3_rate").text()|| 0;
var lp_pillar4_rate = $("#edit_lp_pillar4_rate").text()|| 0;
      
     
      
      
            $("#edit_lp_slab1_total").text(Math.round(lp_slab1));
$("#edit_lp_slab2_total").text(Math.round(lp_slab2));
$("#edit_lp_pillar1_total").text(Math.round(lp_pillar1));
$("#edit_lp_pillar2_total").text(Math.round(lp_pillar2));
$("#edit_lp_pillar3_total").text(Math.round(lp_pillar3));
$("#edit_lp_pillar4_total").text(Math.round(lp_pillar4));
$("#edit_lp_paid_amount_total").text(Math.round(lp_paid_amount));


  $("#edit_lp_slab1_amount").text(Math.round(lp_slab1) * Math.round(lp_slab1_rate));
$("#edit_lp_slab2_amount").text(Math.round(lp_slab2)* Math.round(lp_slab2_rate));
$("#edit_lp_pillar1_amount").text(Math.round(lp_pillar1)* Math.round(lp_pillar1_rate));
$("#edit_lp_pillar2_amount").text(Math.round(lp_pillar2)* Math.round(lp_pillar2_rate));
$("#edit_lp_pillar3_amount").text(Math.round(lp_pillar3)* Math.round(lp_pillar3_rate));
$("#edit_lp_pillar4_amount").text(Math.round(lp_pillar4)* Math.round(lp_pillar4_rate));
$("#edit_lp_paid_amount").text(Math.round(lp_paid_amount));
               
      
      
     
     
            // close calculation 
           
      
        }
  }); 
      
      
      
      
      

    }
  });
}
  
  

  
</script>
</body>
</html>
