<?php include 'includes/session.php'; ?>
<?php include 'includes/header.php'; ?>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper">

  
<?php include 'includes/navbar.php'; ?>
  <?php include 'includes/menubar.php'; ?>
   <?php include 'includes/global.php'; ?>
  
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Profit/Loss Report
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li>Reports</li>
        <li class="active">Profit/Loss Report</li>
      </ol>
    </section>
    <!-- Main content -->
       <section class="content">
      <?php
        if(isset($_SESSION['error'])){
          echo "
            <div class='alert alert-danger alert-dismissible'>
              <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
              <h4><i class='icon fa fa-warning'></i> Error!</h4>
              ".$_SESSION['error']."
            </div>
          ";
          unset($_SESSION['error']);
        }
        if(isset($_SESSION['success'])){
          echo "
            <div class='alert alert-success alert-dismissible'>
              <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
              <h4><i class='icon fa fa-check'></i> Success!</h4>
              ".$_SESSION['success']."
            </div>
          ";
          unset($_SESSION['success']);
        }
      ?>
      <div class="row">
        <div class="col-xs-12">
          
         <div class="box">
      <div class="box-header with-border">
        <h3 class="box-title">Report Generate</h3>
      </div>
           
           <?php 

  include '../timezone.php'; 
  $today = date('d-m-Y');

  if(isset($_POST['from_date'])){
    $from_date = $_POST['from_date'];
  }
else{
    $from_date = $today;
  
}
 if(isset($_POST['from_date'])){
    $to_date = $_POST['to_date'];
  }
else{
   $to_date = $today;
}


		
	



?>
           
      <form method="post">
        <div class="box-body">
          <div class="row">
          
            <div class="col-md-3">
              <div class="form-group">
                <label for="tag_line">From Date</label>
                <input type="text" class="form-control datepicker" id="from_date" name="from_date" value="<?php echo $from_date; ?>" readonly="">
              </div>
            </div>
            <div class="col-md-3">
             <div class="form-group">
              <label for="type">To Date</label>
              <input type="text" class="form-control datepicker" id="to_date" name="to_date" value="<?php echo $to_date; ?>" readonly="">
            </div>
          </div>
          
        </div>
      </div>
      <div class="box-footer">
        <button type="submit" class="btn btn-success btn-flat">Generate</button>
      </div>
    </form>
  </div> 
          
          
          
  <div class="box box-solid">
    <div class="box-header header-custom">
      <h5 class="box-title"><i class="fa fa-list"></i> Reports</h5>
      <div class="box-tools pull-right">
        <button class="btn btn-inline btn-custom btn-md prints"><i class="fa fa-print"></i> Print</button>
      </div>
    </div>
    <div class="box-body" id="print_areas">
      <div>
        <div class="row">
          <div class="col-sm-7 col-xs-12">
            <img class="img-responsive img-height" src="<?php echo (!empty($logo)) ? '../images/'.$logo : '../images/profile.jpg'; ?>">
            <div>
              <h4 class="text-capitalize"><?php echo $company_name; ?></h4>
              <span><?php echo $address; ?></span><br>
              <span>Phone: <?php echo $phone; ?> </span><br>
              <span>Email: <?php echo $email; ?></span>
            </div>
          </div>
          <div class="col-sm-5 col-xs-12 text-center">
            <h3>Profit/Loss Report</h3>
                      </div>
        </div>
      </div><br>
      <div id="hide-table">
        <table  class="table table-bordered table-striped">
        <thead>
                   <th>#</th>
                  <th>Date</th>
                  <th>Project Amount Received</th>
<th>Team Payment</th>
                  <th>Expenses</th>
           
    
                </thead>
                <tbody>
                  <?php




$k=1;
$today = date('Y-m-d');
$sum_project_amount_received=0;
$sum_team_amount_received=0;
$sum_expenses_amount=0;


                 
                 
                      
        	$date_from = strtotime($from_date);
		$date_to = strtotime($to_date);

	for($i=$date_from;$i<=$date_to;$i+=86400)
		{  
      
      
     
               $sql = "SELECT SUM(amount_received) as amount_received FROM projects_details  WHERE bill_date = '". date("d-m-Y", $i) ."'";
               
$query = $conn->query($sql);
                      
 $row_amount_received = $query->fetch_assoc();
      
       $sql = "SELECT SUM(amount_received) as amount_received FROM projects_team_details  WHERE bill_date = '". date("d-m-Y", $i) ."'";
               
$query = $conn->query($sql);
                      
 $row_team_amount_received = $query->fetch_assoc();
      
        $sql = "SELECT SUM(exp_total) as exp_total FROM expenses  WHERE exp_date = '". date("d-m-Y", $i) ."'";
               
$query = $conn->query($sql);
                      
 $row_expenses_amount = $query->fetch_assoc();
      if($row_amount_received['amount_received'] || $row_team_amount_received['amount_received'] ||  $row_expenses_amount['exp_total'] )
        {
                      ?>
                        <tr>
                           <td><?php echo $k; ?></td>
                          <td><?php echo  date("d-m-Y", $i) ; ?></td>
                        <td><?php echo $row_amount_received['amount_received'] ?></td>
 <td><?php echo $row_team_amount_received['amount_received'] ?></td>
<td><?php echo $row_expenses_amount['exp_total']; ?></td>



                     
                        </tr>
                  
                  
                  
                      <?php
                      
 
                      $sum_project_amount_received=$sum_project_amount_received+$row_amount_received['amount_received'];
       $sum_team_amount_received=$sum_team_amount_received+$row_team_amount_received['amount_received'];
       $sum_expenses_amount=$sum_expenses_amount+$row_expenses_amount['exp_total'];
  
      
                    
                      
                        $k++;
                    }
    }
                  ?>
                  
                  <tr>
                         <td ><b>Total</b></td>
                    <td><b><?php echo $k-1; ?></b></td>
                    <td><b><?php echo $sum_project_amount_received; ?></b></td>
                    <td><b><?php echo $sum_team_amount_received; ?></b></td>
                    <td><b><?php echo $sum_expenses_amount; ?></b></td>
                  

                  </tr>
                  
                  
                   <tr>
                         <td ><b></b></td>
                    <td><b></b></td>
                    <td><b></b></td>
                    <td><b>Total Income</b></td>
                    <td><b><?php echo $sum_project_amount_received; ?></b></td>
                  

                  </tr>
                    <tr>
                         <td ><b></b></td>
                    <td><b></b></td>
                    <td><b></b></td>
                    <td><b>Total Expenses</b></td>
                    <td><b><?php echo $sum_team_amount_received+$sum_expenses_amount; ?></b></td>
                  

                  </tr>
                  
                   <tr>
                         <td ><b></b></td>
                    <td><b></b></td>
                    <td><b></b></td>
                    <td><b>Profit/Loss</b></td>
                    <td><b><?php echo $sum_project_amount_received-($sum_team_amount_received+$sum_expenses_amount); ?></b></td>
                  

                  </tr>
                </tbody>
        </table>
      </div>

    </div>
  </div>        
          
          
          
       
        </div>
      </div>
    </section>
  </div>
    
  <?php include 'includes/footer.php'; ?>

</div>
<?php include 'includes/scripts.php'; ?>
<script>







</script>
</body>
</html>
