<?php include 'includes/session.php'; ?>
<?php include 'includes/header.php'; ?>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper">

  <?php include 'includes/navbar.php'; ?>
  <?php include 'includes/menubar.php'; ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Teams List
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li>Teams</li>
        <li class="active">Teams List</li>
      </ol>
    </section>
    <!-- Main content -->
    <section class="content">
      <?php
        if(isset($_SESSION['error'])){
          echo "
            <div class='alert alert-danger alert-dismissible'>
              <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
              <h4><i class='icon fa fa-warning'></i> Error!</h4>
              ".$_SESSION['error']."
            </div>
          ";
          unset($_SESSION['error']);
        }
        if(isset($_SESSION['success'])){
          echo "
            <div class='alert alert-success alert-dismissible'>
              <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
              <h4><i class='icon fa fa-check'></i> Success!</h4>
              ".$_SESSION['success']."
            </div>
          ";
          unset($_SESSION['success']);
        }
      ?>
      <div class="row">
        <div class="col-xs-12">
          <div class="box box-solid">
            <div class="box-header header-custom">
              
              <h5 class="box-title"><i class="fa fa-list"></i> List</h5>
              <div class="box-tools pull-right">
               <a href="#addnew" data-toggle="modal" class="btn btn-inline btn-custom btn-md"><i class="fa fa-plus"></i> Add New</a>
                 </div>
            </div>
            <div class="box-body">
<div class="table-responsive">
              <table id="example1" class="table table-bordered table-striped dataTable no-footer">
                <thead>
                  <th>#</th>
                  <th>Team ID</th>
               
                  <th>Team Head Name</th>
               
                  <th>Mobile No.</th>
                  <th>Email</th>
                  
                  <th>Created On</th>
                   <th>Status</th>
                  <th>Tools</th>
                </thead>
                <tbody>
                  <?php
$i=1;
                    $sql = "SELECT * FROM teams";
                    $query = $conn->query($sql);

                    while($row = $query->fetch_assoc()){
                    
                      ?>
                        <tr >
                          <td><?php echo $i; ?></td>
                          <td><?php echo $row['team_id']; ?></td>
                           <td><?php echo $row['team_head_name']; ?></td>
                 
                          <td><?php echo $row['mobile_no']; ?></td>
                          <td><?php echo $row['email']; ?></td>
                                                      
                          <td><?php echo date('M d, Y', strtotime($row['created_on'])) ?></td>
                          <td>
                          
                          <?php if($row['status']=='1') $color="label-success"; else $color="label-warning";  ?>


  <span class="label <?php echo $color; ?>" style="cursor:pointer"><?php if ($row['status']=='1') echo 'Active'; else echo 'Disabled'; ?></span>
                          
                          
                          </td>
                          <td>
                            <button class="btn btn-success btn-xs edit " data-id="<?php echo $row['id']; ?>" title="Edit" data-placement="top" data-toggle="tooltip" data-original-title="Edit"><i class="fa fa-edit"></i> </button>
                            <button class="btn btn-danger btn-xs delete btn-flat" data-id="<?php echo $row['id']; ?>" title="Delete" data-placement="top" data-toggle="tooltip" data-original-title="Delete"><i class="fa fa-trash"></i> </button>
                          </td>
                        </tr>
                      <?php
                  $i++;
                    }
                  ?>
                </tbody>
              </table>
            </div>
    </div>
          </div>
        </div>
      </div>
    </section>   
  </div>
    
  <?php include 'includes/footer.php'; ?>
  <?php include 'includes/teams_modal.php'; ?>
</div>
<?php include 'includes/scripts.php'; ?>
<script>

$('#example1 tbody').on('click', '.edit', function (){
     $('#edit').modal('show');
    var id = $(this).data('id');
    getRow(id);
});

$('#example1 tbody').on('click', '.delete', function (){
     $('#delete').modal('show');
    var id = $(this).data('id');
    getRow(id);
});

$('#example1 tbody').on('click', '.photo', function (){
      
    var id = $(this).data('id');
    getRow(id);
});

/*

$(function(){
  $('.edit').click(function(e){
    e.preventDefault();
    $('#edit').modal('show');
    var id = $(this).data('id');
    getRow(id);
  });

  $('.delete').click(function(e){
    e.preventDefault();
    $('#delete').modal('show');
    var id = $(this).data('id');
    getRow(id);
  });

  $('.photo').click(function(e){
    e.preventDefault();
    var id = $(this).data('id');
    getRow(id);
  });

});
*/
function getRow(id){
  $.ajax({
    type: 'POST',
    url: 'teams_row.php',
    data: {id:id},
    dataType: 'json',
    success: function(response){
      $('.teamid').val(response.id);
      $('.team_id').html(response.id);
      $('.del_team_name').html(response.team_head_name);
      $('.team_head_name').html(response.team_head_name);
      
      $('#edit_team_head_name').val(response.team_head_name);
   
      $('#edit_email').val(response.email);
      $('#edit_mobile_no').val(response.mobile_no);

      
            $('#edit_status option').each(function () {
if ($(this).val() == response.status) {
    this.selected = true;
    return;
} });
      
         
      
      
      

    }
  });
}
</script>
</body>
</html>
