<?php include 'includes/session.php'; ?>
<?php include 'includes/header.php'; ?>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper">

  <?php include 'includes/navbar.php'; ?>
  <?php include 'includes/menubar.php'; ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
       Expenses
      </h1>
      <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li>Expenses</li>
        <li class="active">Expenses List</li>
      </ol>
    </section>
    <!-- Main content -->
    <section class="content">
      <?php
        if(isset($_SESSION['error'])){
          echo "
            <div class='alert alert-danger alert-dismissible'>
              <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
              <h4><i class='icon fa fa-warning'></i> Error!</h4>
              ".$_SESSION['error']."
            </div>
          ";
          unset($_SESSION['error']);
        }
        if(isset($_SESSION['success'])){
          echo "
            <div class='alert alert-success alert-dismissible'>
              <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
              <h4><i class='icon fa fa-check'></i> Success!</h4>
              ".$_SESSION['success']."
            </div>
          ";
          unset($_SESSION['success']);
        }
      ?>
      <div class="row">
        <div class="col-xs-12">
          <div class="box box-solid">
            <div class="box-header header-custom">
              <h5 class="box-title"><i class="fa fa-list"></i> List</h5>
                 <div class="box-tools pull-right">
               <a href="#addnew" data-toggle="modal" class="btn btn-inline btn-custom btn-md"><i class="fa fa-plus"></i> Add New</a>
                 </div>
            </div>
            <div class="box-body">
<div class="table-responsive">
              <table id="example1" class="table table-bordered table-striped dataTable no-footer">
                <thead>
                  <th>#</th>
                    <th>Date</th>
               <th>Expenses For</th>
                  <th>Amount</th>
           <th>Note</th>
                
                              
                  <th>Tools</th>
                </thead>
                <tbody>
                  <?php
$i=1;

$sql = "SELECT *,expenses.id as expenses_id FROM expenses LEFT JOIN expenses_details ON expenses.id=expenses_details.exp_id order by expenses.id DESC";
                   // $sql = "SELECT * FROM expenses ";

                    $query = $conn->query($sql);

                    while($row = $query->fetch_assoc()){
                      ?>
                        <tr>
                          <td><?php echo $i; ?></td>
                            <td><?php echo $row['exp_date']; ?></td>
                          <td><?php echo $row['exp_expenses_for']; ?></td>
                        <td><?php echo $row['exp_amount'] ?></td>
                         
                        
                         <td><?php echo $row['exp_note'] ?></td>
                          <td>
                            <a href="expenses_print.php?id=<?php echo $row['expenses_id']; ?>" class="btn btn-info  btn-xs mrg" title="View" data-placement="top" data-toggle="tooltip" data-original-title="View"><i class="fa fa-check-square-o"></i></a>
                            <button class="btn btn-success btn-xs edit " data-id="<?php echo $row['expenses_id']; ?>" title="Edit" data-placement="top" data-toggle="tooltip" data-original-title="Edit"><i class="fa fa-edit"></i> </button>
                            <button class="btn btn-danger btn-xs delete " data-id="<?php echo $row['expenses_id']; ?>" title="Delete" data-placement="top" data-toggle="tooltip" data-original-title="Delete"><i class="fa fa-trash"></i> </button>
                          </td>
                        </tr>
                      <?php
                      $i++;
                    }
                  ?>
                </tbody>
              </table>
            </div>
    </div>
          </div>
        </div>
      </div>
    </section>   
  </div>
    
  <?php include 'includes/footer.php'; ?>
  <?php include 'includes/expenses_modal.php'; ?>
</div>
<?php include 'includes/scripts.php'; ?>
<script>

$('#example1 tbody').on('click', '.edit', function (){
     $('#edit').modal('show');
    var id = $(this).data('id');
    getRow(id);
});

$('#example1 tbody').on('click', '.delete', function (){
     $('#delete').modal('show');
    var id = $(this).data('id');
    getRow(id);
});

$('#example1 tbody').on('click', '.photo', function (){
      
    var id = $(this).data('id');
    getRow(id);
});

/*

$(function(){
  $('.edit').click(function(e){
    e.preventDefault();
    $('#edit').modal('show');
    var id = $(this).data('id');
    getRow(id);
  });

  $('.delete').click(function(e){
    e.preventDefault();
    $('#delete').modal('show');
    var id = $(this).data('id');
    getRow(id);
  });

  $('.photo').click(function(e){
    e.preventDefault();
    var id = $(this).data('id');
    getRow(id);
  });

});
*/
function getRow(id){
  $.ajax({
    type: 'POST',
    url: 'expenses_row.php',
    data: {id:id},
    dataType: 'json',
    success: function(response){
      $('.exp_id').val(response.id);
      $('.expid').html(response.id);
          
      $('#edit_exp_date').val(response.exp_date);
      $('#edit_exp_total').val(response.exp_total);
       $('#edit_exp_remarks').val(response.exp_remarks);
    
      
      
          var trId = 1;
      
       var tr='';
      
      var n = $("#edit #expenses_info_table").find("tr").length;
   
               // for (var i = 1; i < n; i++) {
                //  $('#tr_' + i).remove();
                  
               // }
      
          $("#edit #expenses_info_table").find("tr").remove();
      
        $.ajax({
    type: 'POST',
    url: 'expenses_details_row.php',
    data: {id:id},
    dataType: 'json',
    success: function(response){
      
      
      
      
       
      
   
      
      $.each(response , function(index, item) { 

                  
 
               
    
    
      
      
       tr += "<tr id='tr_" +  trId + "'>";
        tr += "<td id='" +  item.id + 1 + "'>";
        tr +=  trId;
        tr += "</td>";

        tr += "<td id='" +  item.id + 2 + "'><input name='exp_expenses_for[]' type='hidden' value='"+ item.exp_expenses_for +"'>";
        tr +=  item.exp_expenses_for;
        tr += "</td>";

        tr += "<td id='" +  item.id + 3 + "' class='exp_amount'><input name='exp_amount[]' type='hidden' value='"+ item.exp_amount +"'>";
        tr += item.exp_amount;
        tr += "</td>";

        tr += "<td  id='" +  item.id + 4 + "' ><input name='exp_note[]' type='hidden' value='"+ item.exp_note +"'>";
        tr += item.exp_note;
        tr += "</td>";

   
      
        tr += "<td id='" +  item.id + 5 + "'>";

        tr += "<div id='" +  trId + "' class='delete_row_exp edit'><button type='button' class='btn btn-xs btn-danger' data-placement='bottom' data-original-title='Delete This Item' data-toggle='tooltip'>&nbsp;&nbsp;<i class='glyphicon glyphicon-trash'></i>&nbsp;&nbsp;</button></div>";
        tr += "</td>";
        tr += "</tr>";
         
      
       trId++;
        });
      
      
      
       
      
      
      

        $("#edit #expenses_info_table").append(tr);
      
       
            // add calculation
            var exp_amount = 0;
            $(".exp_amount").each(function(){
                var val = $(this).text()|| 0;
                exp_amount += parseFloat(val);
            });
 

 
$("#edit_exp_total").val(Math.round(exp_amount));
               
     
            // close calculation 
           
      
        }
  }); 
      
      
      
      
      

    }
  });
}
  
  

  
</script>
</body>
</html>
